| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
Digikam::ItemMetadataAdjustmentHint Class Reference

## Public Types
enum | AdjustmentStatus { AboutToEditMetadata , MetadataEditingFinished , MetadataEditingAborted }
| The file's has been edited writing out information from the database, i.e., the db is already guaranteed to contain all changed information in the file's metadata. More...

## Public Member Functions
| ItemMetadataAdjustmentHint (qlonglong id, AdjustmentStatus status, const QDateTime &modificationDateOnDisk, qlonglong fileSize)
AdjustmentStatus | adjustmentStatus () const
qlonglong | fileSize () const
qlonglong | id () const
bool | isAboutToEdit () const
bool | isEditingFinished () const
bool | isEditingFinishedAborted () const
QDateTime | modificationDate () const
ItemMetadataAdjustmentHint & | operator<< (const QDBusArgument &argument)
const ItemMetadataAdjustmentHint & | operator>> (QDBusArgument &argument) const

## Protected Attributes
qlonglong | m_fileSize = 0
qlonglong | m_id = 0
QDateTime | m_modificationDate
AdjustmentStatus | m_status = AboutToEditMetadata

## Member Enumeration Documentation

## ◆ AdjustmentStatus

enum Digikam::ItemMetadataAdjustmentHint::AdjustmentStatus

There is no need for a full rescan, optimizations are possible.

Enumerator
AboutToEditMetadata | The file is about to be edited. Suspends scanning. The Finished hint must follow.
MetadataEditingFinished | The file's metadata has been edited as described above.
MetadataEditingAborted | The file's metadata has not been edited, despite sending AboutToEditMedata.